/**CHeaderFile*****************************************************************

  FileName    [satSimSolver.h]

  PackageName [sat]

  Synopsis    [Interface for the SIM sat solver wrapper class]

  Description []

  SeeAlso     []

  Author      [Roberto Cavada]

  Copyright   [
  This file is part of the ``sat'' package of NuSMV version 2.
  Copyright (C) 2000-2001 by ITC-irst and University of Trento.

  NuSMV version 2 is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2 of the License, or (at your option) any later version.

  NuSMV version 2 is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA.

  For more information of NuSMV see <http://nusmv.irst.itc.it>
  or email to <nusmv-users@irst.itc.it>.
  Please report bugs to <nusmv-users@irst.itc.it>.

  To contact the NuSMV development board, email to <nusmv@irst.itc.it>. ]

******************************************************************************/

#ifndef _SAT_SIM_SOLVER_H
#define _SAT_SIM_SOLVER_H

#include "satSolver.h"


/*---------------------------------------------------------------------------*/
/* Type declarations                                                         */
/*---------------------------------------------------------------------------*/

/**Struct**********************************************************************

  Synopsis    []

  Description []

  SeeAlso     []

******************************************************************************/
typedef struct Sat_SimSolver_TAG* Sat_SimSolver_ptr;


/*---------------------------------------------------------------------------*/
/* Variable declarations                                                     */
/*---------------------------------------------------------------------------*/


/*---------------------------------------------------------------------------*/
/* Macro declarations                                                        */
/*---------------------------------------------------------------------------*/


/*---------------------------------------------------------------------------*/
/* Function prototypes                                                       */
/*---------------------------------------------------------------------------*/

EXTERN Sat_SimSolver_ptr Sat_SimSolver_Create ARGS((void));

EXTERN void Sat_SimSolver_Delete ARGS((Sat_SimSolver_ptr* self_ref));

EXTERN Sat_SatSolver_ptr 
Sat_SimSolver_GetSatSolver ARGS((const Sat_SimSolver_ptr self));


#endif /* _SAT_SIM_SOLVER_H */
